#ident "@(#) ct.h 1.7 89/01/27 "

/*
 *	Copyright (C) The Santa Cruz Operation, 1988.
 *	This Module contains Proprietary Information of
 *	The Santa Cruz Operation and should be treated as Confidential.
 */

/*
 * structure returned from ioctl MT_STATUS
 */

union ct_status {
  struct {
    unsigned  short fm		: 1 ;		/* file mark detected */
    unsigned  short nobie	: 1 ;		/* big time booboo */
    unsigned  short derr	: 1 ;		/* unrecoverable data error */
    unsigned  short eot		: 1 ;		/* end of tape */
    unsigned  short wprot	: 1 ;		/* write protected cartridge */
    unsigned  short offln	: 1 ;		/* drive off line */
    unsigned  short nocart	: 1 ;		/* no cartridge in drive */
    unsigned  short eb0		: 1 ;		/* exception byte 0 valid */

    unsigned  short reset	: 1 ;		/* reset/power up occured */
    unsigned  short reserved	: 2 ;
    unsigned  short bot		: 1 ;		/* beginning of tape */
    unsigned  short retry	: 1 ;		/* 8 or more read retrys */
    unsigned  short nodata	: 1 ;		/* no data detected */
    unsigned  short illcmd	: 1 ;		/* illegal command */
    unsigned  short eb1		: 1 ;		/* exception byte 1 valid */

    unsigned  short sfterr;		/* blocks re-written / soft errors */
    unsigned  short undrun;		/* number of underruns */
  } status ;				/* read status' data goes here */
  unsigned char stat[6] ;
} ;
