#ident "@(#) floppy.h 1.5 88/11/18 "
/*
 *	@(#) floppy.h 1.5 88/11/18 
 *
 *	      UNIX is a registered trademark of AT&T
 *		Portions Copyright 1976-1989 AT&T
 *	Portions Copyright 1980-1989 Microsoft Corporation
 *   Portions Copyright 1983-1989 The Santa Cruz Operation, Inc
 *		      All Rights Reserved
 */
/*
 *	@(#) floppy.h 1.5 89/06/23 
 *
 *	Copyright (C) The Santa Cruz Operation, 1985, 1986, 1987, 1988.
 *	This Module contains Proprietary Information of
 *	The Santa Cruz Operation and should be treated as Confidential.
 *
 */

/* PC/AT Floppy disk control  */
#define FLIOC		('F'<<8)

#define FLIOCFTRK	(FLIOC|1)	/* ioctl command to format a track */
#define FLIOCSIZE	(FLIOC|2)	/* ioctl command to get floppy size */
#define FLIOCPRT	(FLIOC|3)	/* ioctl command to turn on/off prtfs */

#ifdef VPIX
#define F_RAW		(FLIOC|63)
#define F_DOR		(FLIOC|62)
#define F_FCR		(FLIOC|61)
#define F_DTYP		(FLIOC|60)

#define CMD_BYTES	10

/* structure used by F_RAW ioctl command */

struct fdraw {
	unsigned char fr_cmd[CMD_BYTES];    /* user-supplied command bytes */
	short	fr_cnum;		    /* number of command bytes */
	unsigned char fr_result[CMD_BYTES]; /* controller result bytes */
	short	fr_nbytes;		    /* number to transfer if r/w */
	char	*fr_addr;		    /* where to transfer */
};
#endif
