#ident "@(#) space.c 1.1 89/06/05 "
/*
 *	Copyright (C) The Santa Cruz Operation, 1985, 1986, 1987, 1988.
 *	This Module contains Proprietary Information of
 *	The Santa Cruz Operation and should be treated as Confidential.
 */

/*
 *	Configurable parameters for the ft driver
 *
 *	ft_drivetype determines whether the driver will
 *	use the QIC-40 or QIC-117 command set, and how
 *	large it thinks the tape is.
 *
 *	For QIC-40 tape drives, use FT_QIC40.
 *	For QIC-80 tape drives, use FT_QIC80.
 *
 */
#define	FT_QIC40	0	/* @PARM1 */
#define	FT_QIC80	1	/* @PARM2 */

int ft_drivetype = FT_QIC40;
