#ident "@(#) spt.h 1.1 89/02/12 "

/*
 *	Copyright (C) The Santa Cruz Operation, 1984, 1985, 1986, 1987.
 *	Copyright (C) Microsoft Corporation, 1984, 1985, 1986, 1987.
 *	This Module contains Proprietary Information of
 *	The Santa Cruz Operation, Microsoft Corporation
 *	and AT&T, and should be treated as Confidential.
 */
/*
 *	defines used by spt.c and vtpsrv.c to control blocking extention
 *	to the tty standard ioctl cmds, and to define the flags for the
 *	mptflags structure.
 * 
 * MODIFICATION HISTORY
 *
 * S000 06/08/87	timons
 *    - changed "&" to "|" in definition of MPT_BLK to make it non-zero.
 * S001 10/17/88	timon
 *    - added stuff for supporting select with spt driver
 */

/*
 * flags
 */
#define MPT_OPEN	0x0001
#define MPT_BLK_FLAG	0x0002

/*
 * added ioctl cmd
 */
#define MPT_BLK		( 0xff00 | 'x' )		/* S000 */

struct pt_ioctl {					/* S001 vvv */
	int	pt_flags;
	struct proc *pt_selr, *pt_selw;
};

#define PF_RCOLL	0x1
#define PF_WCOLL	0x2				/* S001 ^^^ */
