#pragma comment(exestr, "@(#) sio.h 1.1 88/12/20 ")
/*
 *
 *	Copyright (C) The Santa Cruz Operation, 1985, 1986, 1987.
 *	This Module contains Proprietary Information of
 *	The Santa Cruz Operation and should be treated as Confidential.
 *
 */

/* VPIX serial ioctls */

#ifdef VPIX

#define AIOC    ('A'<<8)
#define AIOCINTTYPE     (AIOC|60)        /* set pseudorupt personality */
#define AIOCDOSMODE     (AIOC|61)        /* set DOSMODE */
#define AIOCNONDOSMODE  (AIOC|62)        /* reset DOSMODE */
#define AIOCSERIALOUT   (AIOC|63)        /* serial device data write */
#define AIOCSERIALIN    (AIOC|64)        /* serial device data read */
#define AIOCSETSS       (AIOC|65)        /* set start/stop chars */
#define AIOCINFO        (AIOC|66)        /* tell user what device we are */

/* Ioctl alternate names for use by vpc */

#define VPC_SERIAL_DOS    AIOCDOSMODE
#define VPC_SERIAL_NONDOS AIOCNONDOSMODE
#define VPC_SERIAL_INFO   AIOCINFO
#define VPC_SERIAL_OUT    AIOCSERIALOUT
#define VPC_SERIAL_IN     AIOCSERIALIN

#endif /* VPIX */
